Lyo Kato > OAuth-Lite-1.31 > OAuth::Lite::Problems

Download:
OAuth-Lite-1.31.tar.gz

Dependencies

Annotate this POD

CPAN RT

New  6
Open  3
View/Report Bugs
Source   Latest Release: OAuth-Lite-1.32

NAME ^

OAuth::Lite::Problems - constants for OAuth Problem Reporting Extension

SYNOPSIS ^

    use OAuth::Problems qw(:all);

    $server->error( TOKEN_REJECTED );

DESCRIPTION ^

This provides constants which used in OAuth Problem Reporting spec.

METHODS ^

match($error)

    my $error = 'token_rejected';
    if (OAuth::Lite::Problems->match($error)) {
        say "This error is OAuth Problem";
        $server->error(sprintf "oauth_problem=%s", $error);
    }

CONSTANTS ^

VERSION_REJECTED =head2 PARAMETER_ABSENT =head2 PARAMETER_REJECTED =head2 TIMESTAMP_REFUSED =head2 NONCE_USED =head2 SIGNATURE_METHOD_REJECTED =head2 SIGNATURE_INVALID =head2 CONSUMER_KEY_UNKNOWN =head2 CONSUMER_KEY_REJECTED =head2 CONSUMER_KEY_REFUSED =head2 TOKEN_USED =head2 TOKEN_EXPIRED =head2 TOKEN_REVOKED =head2 TOKEN_REJECTED =head2 ADDITIONAL_AUTHORIZATION_REQUIRED =head2 PERMISSION_UNKNOWN =head2 PERMISSION_DENIED =head2 USER_REFUSED

SEE ALSO ^

http://oauth.pbworks.com/ProblemReporting

AUTHOR ^

Lyo Kato, lyo.kato _at_ gmail.com

COPYRIGHT AND LICENSE ^

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.

syntax highlighting: